Dominique Leuenberger 2022-05-01 16:53:21 +00:00 committed by Git OBS Bridge
commit dd4a47361e
6 changed files with 42 additions and 92 deletions

View File

@ -1,3 +0,0 @@
version https://git-lfs.github.com/spec/v1
oid sha256:f655dd2a986d7aa97e052261b36aa67b0a64989496361eca8d604e6414006741
size 1723639

3
fontconfig-2.14.0.tar.xz Normal file
View File

@ -0,0 +1,3 @@
version https://git-lfs.github.com/spec/v1
oid sha256:dcbeb84c9c74bbfdb133d535fe1c7bedc9f2221a8daf3914b984c44c520e9bac
size 1431056

View File

@ -1,82 +0,0 @@
https://gitlab.freedesktop.org/fontconfig/fontconfig/merge_requests/8
From 5f12f564f8748deaa603adb7a4b8f616b6390ad4 Mon Sep 17 00:00:00 2001
From: Keith Packard <keithp@keithp.com>
Date: Wed, 17 Oct 2018 21:15:47 -0700
Subject: [PATCH] Do not remove UUID file when a scanned directory is empty
Because FcDirCacheDeleteUUID does not reset the modification time on
the directory, and because FcDirCacheRead unconditionally creates the
UUID file each time it is run, any empty directory in the cache will
get its timestamp changed each time the cache for that directory is
read.
Instead, just leave the UUID file around as it is harmless.
The alternative would be to only create the UUID file after the cache
has been created and the directory has been discovered to be
non-empty, but that would delay the creation of the UUID file.
Signed-off-by: Keith Packard <keithp@keithp.com>
---
src/fcdir.c | 7 -------
1 file changed, 7 deletions(-)
diff --git a/src/fcdir.c b/src/fcdir.c
index 93f220c..bfcdf95 100644
--- a/src/fcdir.c
+++ b/src/fcdir.c
@@ -421,13 +421,6 @@ FcDirCacheRead (const FcChar8 *dir, FcBool force, FcConfig *config)
/* Not using existing cache file, construct new cache */
if (!cache)
cache = FcDirCacheScan (dir, config);
- if (cache)
- {
- FcFontSet *fs = FcCacheSet (cache);
-
- if (cache->dirs_count == 0 && (!fs || fs->nfont == 0))
- FcDirCacheDeleteUUID (dir, config);
- }
return cache;
}
--
2.18.1
diff --git a/test/run-test.sh b/test/run-test.sh
index e76e39bd8c384f8354600d8c7b073a57f3012482..ed41456998ba599568e2ab0bf3cc990e9abcc525 100644
--- a/test/run-test.sh
+++ b/test/run-test.sh
@@ -239,19 +239,19 @@ fi
rm -rf $MyPWD/sysroot
-dotest "deleting .uuid file on empty dir"
-prep
-cp $FONT1 $FONT2 $FONTDIR
-$FCCACHE $FONTDIR
-sleep 1
-rm -f $FONTDIR/*pcf
-$FCCACHE $FONTDIR
-rmdir $FONTDIR > /dev/null 2>&1
-if [ $? != 0 ]; then
- echo "*** Test failed: $TEST"
- echo "$FONTDIR isn't empty"
- ls -al $FONTDIR
- exit 1
-fi
+# dotest "deleting .uuid file on empty dir"
+# prep
+# cp $FONT1 $FONT2 $FONTDIR
+# $FCCACHE $FONTDIR
+# sleep 1
+# rm -f $FONTDIR/*pcf
+# $FCCACHE $FONTDIR
+# rmdir $FONTDIR > /dev/null 2>&1
+# if [ $? != 0 ]; then
+# echo "*** Test failed: $TEST"
+# echo "$FONTDIR isn't empty"
+# ls -al $FONTDIR
+# exit 1
+# fi
rm -rf $FONTDIR $CACHEFILE $CACHEDIR $FONTCONFIG_FILE out

View File

@ -1,3 +1,22 @@
-------------------------------------------------------------------
Thu Apr 28 11:05:51 UTC 2022 - Simon Lees <sflees@suse.de>
- Seems we now need python3 for building
-------------------------------------------------------------------
Fri Apr 15 00:44:37 UTC 2022 - Dirk Müller <dmueller@suse.com>
- update to 2.14.0:
* Fix endianness on generating MD5 cache name
* Fix a typo in the description of FcWeightFromOpenTypeDouble
* fc-validate: returns an error code when missing some glyphs
* Fallback uuid-based name to read a cache if no MD5-based cache
* fc-cache: Show font directories to generate cache with -v
* Replace UUID file mechanism with per-directory 'map' attribute [v2]
* memleak fixes
- drop fontconfig-do-not-remove-UUID-file.patch (obsolete)
- add skip-network-test.patch
-------------------------------------------------------------------
Thu Jan 27 16:14:14 UTC 2022 - pgajdos@suse.com

View File

@ -18,24 +18,25 @@
Name: fontconfig
%define lname libfontconfig1
Version: 2.13.1
Version: 2.14.0
Release: 0
Summary: Library for Font Configuration
License: MIT
Group: System/Libraries
URL: http://fontconfig.org/
Source0: http://fontconfig.org/release/%{name}-%{version}.tar.bz2
URL: https://www.freedesktop.org/wiki/Software/fontconfig/
Source0: https://www.freedesktop.org/software/fontconfig/release/fontconfig-%{version}.tar.xz
Source4: baselibs.conf
Source5: local.conf
# PATCH-FIX-UPSTREAM fontconfig-do-not-remove-UUID-file.patch boo#1124816 badshah400@gmail.com -- Removing .uuid files caused frequent rescanning of all system fonts causing intermittent CPU usage surges, for example, when browsing using firefox; patch taken from upstream commit
Patch0: fontconfig-do-not-remove-UUID-file.patch
Patch1: skip-network-test.patch
BuildRequires: automake >= 1.11
BuildRequires: gperf
BuildRequires: libtool
BuildRequires: pkgconfig
BuildRequires: pkgconfig(expat)
BuildRequires: pkgconfig(freetype2)
BuildRequires: pkgconfig(json-c)
BuildRequires: pkgconfig(uuid)
BuildRequires: python3-base
Provides: ipa-fonts-config = 003.02
Obsoletes: ipa-fonts-config < 003.02
Provides: IPA-fonts-config = 003.02
@ -91,8 +92,7 @@ HTML documentation and manual pages for developers using the
fontconfig library.
%prep
%setup -q
%patch0 -p1
%autosetup -p1
# use suse-specific doc path:
find -name \*.1 -o -name \*.sgml -exec sed -i -e 's/usr\/share\/doc\/fontconfig/usr\/share\/doc\/packages\/fontconfig/g' {} +

13
skip-network-test.patch Normal file
View File

@ -0,0 +1,13 @@
Index: fontconfig-2.14.0/test/Makefile.am
===================================================================
--- fontconfig-2.14.0.orig/test/Makefile.am
+++ fontconfig-2.14.0/test/Makefile.am
@@ -69,8 +69,6 @@ test_pthread_LDADD = $(top_builddir)/src
# to meaningfully test anything, and we are not installed yet.
#TESTS += test-pthread
-check_PROGRAMS += test-crbug1004254
-test_crbug1004254_LDADD = $(top_builddir)/src/libfontconfig.la
# Disabling this for the same reason as above but trying to run in run-test.sh.
#TESTS += test-crbug1004254
endif